import request from '../utils/request.js'

import config from '../utils/config'

// 私域模块
// 获取商品列表
export const getPSGoodsList = (data) => {
	return request.post(`/data/api.goods/getGoods`, data)
}

// 获取商品詳情
export const getPSGoodsDetail = (data) => {
	return request.post(`/data/api.auth.goods/getGoods`, data)
}

// 获取最新推荐列表
export const getPSNewsetList = (data) => {
	return request.post(`/data/api.goods/getHomes`, data)
}

// 获取限时秒杀数据
export const getPSMsList = (data) => {
	return request.post(`/data/api.goods/getMs`, data)
}


// 购物车模块
// 获取我的购物车列表
export const getShoppingCartList = () => {
	return request.get(`/data/api.auth.cart/get`)
}
